# Interface CheerioParserOptions

interface CheerioParserOptions {
_useHtmlParser2 ?: boolean;
decodeEntities ?: boolean;
ignoreWhitespace ?: boolean;
lowerCaseAttributeNames ?: boolean;
lowerCaseTags ?: boolean;
normalizeWhitespace ?: boolean;
recognizeCDATA ?: boolean;
recognizeSelfClosing ?: boolean;
withEndIndices ?: boolean;
withStartIndices ?: boolean;
xmlMode ?: boolean;
}

- Defined in node_modules/@types/cheerio/index.d.ts:262

##### Index

### Properties

_useHtmlParser2?
decodeEntities?
ignoreWhitespace?
lowerCaseAttributeNames?
lowerCaseTags?
normalizeWhitespace?
recognizeCDATA?
recognizeSelfClosing?
withEndIndices?
withStartIndices?
xmlMode?

## Properties

### `Optional`_useHtmlParser2

_useHtmlParser2?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:278

### `Optional` decodeEntities

decodeEntities?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:269

### `Optional` ignoreWhitespace

ignoreWhitespace?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:277

### `Optional` lowerCaseAttributeNames

lowerCaseAttributeNames?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:271

### `Optional` lowerCaseTags

lowerCaseTags?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:270

### `Optional` normalizeWhitespace

normalizeWhitespace?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:274

### `Optional` recognizeCDATA

recognizeCDATA?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:272

### `Optional` recognizeSelfClosing

recognizeSelfClosing?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:273

### `Optional` withEndIndices

withEndIndices?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:276

### `Optional` withStartIndices

withStartIndices?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:275

### `Optional` xmlMode

xmlMode?: boolean

- Defined in node_modules/@types/cheerio/index.d.ts:268